vfprintf
vsprintf
String Functions
PHP Manual

# vprintf

(PHP 4 >= 4.0.7, PHP 5)

vprintf — Output a formatted string

### Description

int vprintf ( string `$format` , array `$args` )

Display array values as a formatted string according to `format` (which is described in the documentation for sprintf()).

Operates as printf() but accepts an array of arguments, rather than a variable number of arguments.

### Parameters

`format`

  See sprintf() for a description of `format` .

`args`

### Return Values

Returns the length of the outputted string.

### See Also

- printf()
- sprintf()
- vsprintf()

vfprintf
vsprintf
String Functions
PHP Manual